#ifndef	UTIL_H
#define	UTIL_H

#if 0
#define	LEAK_DEBUG
#define	LEAK	16
#endif

#ifdef	LEAK_DEBUG

/*
 * Leak debug stuff
 */ 
void_p mem_alloc_z(u32_t bs);

#define	memAlloc(bs)	mem_alloc_z(bs)
#define	memAllocZ(bs)	mem_alloc_z(bs)

#endif	/* LEAK_DEBUG */

#define	STR_COMP			strcasecmp
#define	STR_EQ(str1,str2)	(!STR_COMP((str1),(str2)))

extern char dotchar;
extern vhandle_t random_gen;
extern u32_t random_seed;

/*
 * Recursive seach for same-level token
 */
vboolean	lexSkip_r(vhandle_t lexer,char *keyword);

void		filePrintFloatStr(vhandle_t out,char dotchar,vec_t v,char *str);
vboolean	scriptSearchPair(vhandle_t lexer,char *key,char *name);

#endif

